Package org.apache.calcite.avatica.remote

# Class Service.OpenConnectionRequest

java.lang.Object
org.apache.calcite.avatica.remote.Service.Base
org.apache.calcite.avatica.remote.Service.Request
org.apache.calcite.avatica.remote.Service.OpenConnectionRequest

Enclosing interface:
  Service

public static class Service.OpenConnectionRequest extends Service.Request
Request for `Meta.openConnection(org.apache.calcite.avatica.Meta.ConnectionHandle, java.util.Map<java.lang.String, java.lang.String>)`.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`connectionId`
`final Map<String,String>`
`info`

## Constructor Summary

Constructors
Constructor
Description
`OpenConnectionRequest()`
`OpenConnectionRequest(String connectionId, Map<String,String> info)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`
`static Map<String,String>`
`serializeProperties(Properties props)`
Serializes the necessary properties into a Map.

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### connectionId

public final String connectionId

### info

public final Map<String,String> info

## Constructor Details

### OpenConnectionRequest

public OpenConnectionRequest()

### OpenConnectionRequest

public OpenConnectionRequest(String connectionId, Map<String,String> info)

## Method Details

### serializeProperties

public static Map<String,String> serializeProperties(Properties props)
Serializes the necessary properties into a Map.

Parameters:
  `props` - The properties to serialize.
Returns:
  A representation of the Properties as a Map.

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`